# ``twisted`.`internet`.`_sslverify`.`IOpenSSLTrustRoot``

interface documentation

`class IOpenSSLTrustRoot(Interface): (source)`

Known implementations: `twisted.internet._sslverify.OpenSSLCertificateAuthorities`, `twisted.internet.ssl.OpenSSLDefaultPaths`

View In Hierarchy

Trust settings for an OpenSSL context.

Note that this interface's methods are private, so things outside of Twisted shouldn't implement it.

Method | `_addCACertsToContext` | Add certificate-authority certificates to an SSL context whose connections should trust those authorities.

def _addCACertsToContext(context): (source)
Add certificate-authority certificates to an SSL context whose connections should trust those authorities.

Parameters
context:`OpenSSL.SSL.Context` | An SSL context for a connection which should be verified by some certificate authority.
Returns
`None`